<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$id = isset($_GET['id']) ? abs((int)$_GET['id']) : false;
$array = DB::$dbs->query("SELECT * FROM album_foto WHERE id = ? LIMIT 1", [$id]);
if ($array-> rowCount() == 0) {
header('location: /');
die();
}
$arr = $array -> fetch();
if ($arr['user_id'] != $b['id'] && $b['level'] < 3) {
header('location: /');
die();
}
$title->SetTitle('Галерея - Изменение '.$arr['name']);
$title->GetHeader();
echo'<div class="tile"><div class="t-header th-alt bg-teal"><div class="th-title"><i class="zmdi zmdi-widgets"></i><a href="/"style="text-decoration:none; color:white;"> Главная</a> :: <a href="/gallery"style="text-decoration:none; color:white;">Галерея</a> :: Изменить изображение</div></div></div>';

if (isset($_POST['save'])) {
$err = [];
$name = check($_POST['name']);
$text = check($_POST['text']);
if (empty($name) OR empty($text)) {
$err[] = 'Заполните название и описание изображения!';
}
if (empty($err)) {
DB::$dbs->query("UPDATE album_foto SET name = ?, text = ? WHERE id = ? LIMIT 1", [$name,$text,$id]);
echo '<div class="alert alert-success">Успешно сохранено!</div>
<div class="list-group-item media"><a href="#" onclick="history.back();return false;"><i class="zmdi zmdi-home"></i> Вернуться в альбом</a></div>';
$title->GetMenu();
$title->GetFooter();
die();
} else {
echo '<div class="alert alert-danger">';
foreach($err as $error) {
echo $error.'<br/>';
}
echo '</div>';
}
}
echo '<div class="list-group-item media"><form method="post" action="edit_foto.html?id='.$id.'">Название:<br/><input type="text" class="form-control" name="name" value="'.$arr['name'].'"/><br/>Описание:<br/></br>';
quickpaste('text');
quickpanel();
echo'<br/><br/><textarea class="form-control" rows="8" name="text">'.$arr['text'].'</textarea><br/>
<input type="submit" name="save" class="btn btn-primary btn-lg btn-block" value="Сохранить"/></div></form>';

$title->GetMenu();
$title->GetFooter();
?>